# Uses of Class
net.sf.statcvs.model.Repository

Packages that use Repository
Package
Description
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.output
net.sf.statcvs.pages
net.sf.statcvs.reports

## Uses of Repository in net.sf.statcvs.input

Methods in net.sf.statcvs.input that return Repository
Modifier and Type
Method
Description
`Repository`
Builder.`createCvsContent()`
Returns a Repository object of all files.

## Uses of Repository in net.sf.statcvs.output

Methods in net.sf.statcvs.output that return Repository
Modifier and Type
Method
Description
`Repository`
ReportConfig.`getRepository()`
Constructors in net.sf.statcvs.output with parameters of type Repository
Modifier
Constructor
Description
``
`ReportConfig(Repository repository, String projectName, String rootDirectory, MarkupSyntax syntax, CssHandler cssHandler, String charSet)`

## Uses of Repository in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type Repository
Modifier and Type
Method
Description
`static String`
TwitterHelp.`buildDeveloperLink(Author developer, String loc, Repository repository, ReportConfig config)`
`static String`
TwitterHelp.`buildDeveloperOfMonthLink(Author developer, int loc, Repository repository, String month_year, ReportConfig config)`
`static String`
TwitterHelp.`buildOverviewLink(TopDevelopersTableReport topDevelopers, Repository repository, ReportConfig config)`

## Uses of Repository in net.sf.statcvs.reports

Methods in net.sf.statcvs.reports that return Repository
Modifier and Type
Method
Description
`protected Repository`
AbstractLocTableReport.`getContent()`
`protected Repository`
AbstractRollingLocTableReport.`getContent()`
Constructors in net.sf.statcvs.reports with parameters of type Repository
Modifier
Constructor
Description
``
`DirectoriesTableReport(Repository content)`
Creates a table report containing all directories and their respective number of changes and LOC.
``
`ModuleTableReport(Repository content)`
Creates a table report containing all modules and their respective number of changes and LOC.